using EnterprisePatterns.DataAccess;

namespace EnterprisePatterns.DataAccess
{
    public class ConnectionFactory : IConnectionFactory
    {
        private IDbConnectionFactory dbConnectionFactory;

        public ConnectionFactory(IDbConnectionFactory dbConnectionFactory)
        {
            this.dbConnectionFactory = dbConnectionFactory;
        }

        public IDatabaseConnection Create()
        {
            return new DatabaseConnection(dbConnectionFactory);
        }
    }
}