using System.Data;
using EnterprisePatterns.DataAccess;

namespace EnterprisePatterns.DataAccess
{
    public class DatabaseGateway : IDatabaseGateway
    {
        private readonly IConnectionFactory factory;


        public DatabaseGateway(IConnectionFactory factory)
        {
            this.factory = factory;
        }

        public DataTable ExecuteSqlForDataTable(string sqlStatement)
        {
            using (IDatabaseConnection connection = factory.Create())
            using (IDataReader reader = connection.CreateCommandForDynamicSql(sqlStatement).ExecuteReader())
            {
                DataTable results = new DataTable();
                results.Load(reader);
                return results;
            }
        }
    }
}