using EnterprisePatterns.Task;
using EnterprisePatterns.Utility;

namespace EnterprisePatterns.Presentation
{
    public class ViewEmployeesPresenter
    {
        private IEmployeeView view;
        private IEmployeeTask task;


        public ViewEmployeesPresenter(IEmployeeView view):this(view,DependencyResolver.GetImplementationOf<IEmployeeTask>())
        {            
        }

        public ViewEmployeesPresenter(IEmployeeView view, IEmployeeTask task)
        {
            this.view = view;
            this.task = task;

            HookupEventHandlersTo(view);
        }

        private void HookupEventHandlersTo(IEmployeeView view)
        {
            view.Load += delegate { LoadEmployees(); };
        }

        private void LoadEmployees()
        {
            if (view.IsPostBack) return;

			view.Customers = task.GetAllEmployees();
        }
    }
}