using System;
using Castle.Windsor;
using EnterprisePatterns.Utility;

namespace EnterprisePatterns.Task
{
    public class WindsorDependencyContainer : IDependencyContainer
    {
        private IWindsorContainer underlyingContainer;


        public WindsorDependencyContainer(IWindsorContainer underlyingContainer)
        {
            this.underlyingContainer = underlyingContainer;
        }

        public void RegisterImplmentationOf<T>(T component)
        {
            throw new NotImplementedException();
        }

        public T GetImplementationOf<T>()
        {
            return underlyingContainer.Resolve<T>();
        }

        public void Dispose()
        {
            underlyingContainer.Dispose();
        }
    }
}