using System;
using System.Collections.Generic;

namespace EnterprisePatterns.Utility
{
    public class CustomDependencyContainer : IDependencyContainer
    {
        private IDictionary<Type, object> components;


        public CustomDependencyContainer()
        {
            components = new Dictionary<Type, object>();
        }

        public void RegisterImplmentationOf<T>(T component)
        {
            components.Add(typeof (T), component);
        }

        public T GetImplementationOf<T>()
        {
            return (T) components[typeof (T)];
        }


        public void Dispose()
        {
            components.Clear();            
        }
    }
}