using System;
using System.Collections.Generic;
using System.Web.UI;
using EnterprisePatterns.Domain;
using EnterprisePatterns.Presentation;
using EnterprisePatterns.Web;

public partial class ViewEmployees : Page, IEmployeeView
{
    private ViewEmployeesPresenter presenter;


    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        presenter = new ViewEmployeesPresenter(this);
    }


    protected T CastAs<T>(object item)
    {
        return (T) item;
    }

    public IList<IEmployee> Customers
    {
        set
        {
            this.employeesRepeater.DataSource = value;
            employeesRepeater.DataBind();
        }
    }

    public string CSSClassFor(int rowIndex)
    {
        return (IsAlternatingRowIndex(rowIndex) ? StyleSheetName.AlternatingItem.Name : StyleSheetName.RegularItem.Name);
    }

    private bool IsAlternatingRowIndex(int rowIndex)
    {
        return rowIndex %2== 0;
    }
}